summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2018-05-01 14:02:35 +0200
committerPacho Ramos <pacho@gentoo.org>2018-05-01 21:32:53 +0200
commit4c2b10831569c69e4e433888fe0995b40c27a58e (patch)
tree9ef1b46d6df55d1459a87631c5d3e69f7e8d133e /games-puzzle/groundhog
parentgames-puzzle/gnurobbo: Drop old (diff)
downloadgentoo-4c2b10831569c69e4e433888fe0995b40c27a58e.tar.gz
gentoo-4c2b10831569c69e4e433888fe0995b40c27a58e.tar.bz2
gentoo-4c2b10831569c69e4e433888fe0995b40c27a58e.zip
games-puzzle/groundhog: Stop using games.eclass
Package-Manager: Portage-2.3.31, Repoman-2.3.9
Diffstat (limited to 'games-puzzle/groundhog')
-rw-r--r--games-puzzle/groundhog/files/groundhog-1.4-flags.patch4
-rw-r--r--games-puzzle/groundhog/groundhog-1.4-r1.ebuild51
2 files changed, 53 insertions, 2 deletions
diff --git a/games-puzzle/groundhog/files/groundhog-1.4-flags.patch b/games-puzzle/groundhog/files/groundhog-1.4-flags.patch
index 48275a8c39b..9726f249820 100644
--- a/games-puzzle/groundhog/files/groundhog-1.4-flags.patch
+++ b/games-puzzle/groundhog/files/groundhog-1.4-flags.patch
@@ -2,8 +2,8 @@ respect flags
applied on top of debian patches
---- configure.in
-+++ configure.in
+--- a/configure.in
++++ b/configure.in
@@ -46,8 +46,6 @@
dnl Checks for libraries.
dnl AM_PATH_GTK_2_0(2.0.0,,AC_MSG_ERROR(Groundhog needs GTK 2.0))
diff --git a/games-puzzle/groundhog/groundhog-1.4-r1.ebuild b/games-puzzle/groundhog/groundhog-1.4-r1.ebuild
new file mode 100644
index 00000000000..ba93616b670
--- /dev/null
+++ b/games-puzzle/groundhog/groundhog-1.4-r1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit desktop epatch autotools
+
+DEB_VER="9"
+DESCRIPTION="Put the balls in the pockets of the same color by manipulating a maze of tubes"
+HOMEPAGE="http://home-2.consunet.nl/~cb007736/groundhog.html"
+SRC_URI="http://home-2.consunet.nl/~cb007736/${P}.tar.gz
+ mirror://debian/pool/main/g/groundhog/groundhog_${PV}-${DEB_VER}.diff.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="nls"
+
+RDEPEND="
+ x11-libs/gtk+:2
+ nls? ( virtual/libintl )
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ nls? ( sys-devel/gettext )
+"
+
+src_prepare() {
+ default
+ cd "${WORKDIR}"
+ epatch groundhog_${PV}-${DEB_VER}.diff
+ cd "${S}"
+ sed -e "s:groundhog-1.4/::" -i \
+ debian/patches/sv.po.patch || die
+ eapply \
+ $(sed -e 's:^:debian/patches/:' debian/patches/series) \
+ "${FILESDIR}"/${P}-flags.patch
+ mv configure.in configure.ac || die
+ AT_M4DIR="m4" eautoreconf
+ sed -i 's:$(localedir):/usr/share/locale:' \
+ $(find . -name 'Makefile.in*') || die
+}
+
+src_configure() {
+ econf $(use_enable nls)
+}
+
+src_install() {
+ default
+ doicon src/pixmaps/${PN}.xpm
+ make_desktop_entry ${PN} "Groundhog" /usr/share/pixmaps/${PN}.xpm
+}